<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="ApolloNvim modální editor" />
        <meta name="keywords" content="Projekt modálního editoru" />
        <meta name="author" content="Lukáš Kaňka" />
        <link rel="stylesheet" href="assets/style.css" />
        <!--nav bar-->
        <script src="https://kit.fontawesome.com/0a43c6cd1f.js" crossorigin="anonymous"></script>
        <!--icons dark, go to up-->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
        <!--ubuntu fonts-->
        <style>
            @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
        </style>
        <!--         líbivé   ikony -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/fork-awesome@1.2.0/css/fork-awesome.min.css"
              integrity="sha256-XoaMnoYC5TH6/+ihMEnospgm0J1PM/nioxbOUdnM8HY=" crossorigin="anonymous" />
	<title>🚀 ApolloNvim</title>
</head>
<body>
	
<?php require "assets/header.php" ?>
<section class="content" id="welcome">
            <section class="config">
	<h2>Instalace a nastavení:</h2>
<p>👉 Pokud ještě nemáte, nainstalujte si <a href="https://neovim.io/" target="_blank">Neovim</a>.</p>
<p>👉 Bude potřeba nainstalovat <strong><code>plug.vim</code></strong> abyste mohl/a instalovat rozšíření.</p>	
<p>👉 Běžte na tuto stránku <a href="https://github.com/junegunn/vim-plug" target="_blank">Vim.plug</a> pod Installation si najděte svůj operační systém a zkopírujte odkaz pod ním do svého terminálu.</p>
<p>👉 Pokud už Neovim máte naistalovaný, <strong style="color: red;">nejprve si však zálohujte své aktuální nastavení Neovim!!!</strong></p>
<p>Konfigurační soubory najdeš zde:</p>
<p>Linux & Mac:</p>
<p><strong><code>/home/user/.config/nvim/init.vim</code></strong></p>
	<p>Windows:</p>
<p><strong><code>~/AppData/Local/nvim/init.vim</code></strong></p>
<h2>Node.js:</h2>
<p>👉 Doporučuji i mít nainstalovaný <a href="https://nodejs.org/en" target="_blank">Node.js</a></p>
<p>👉 Dále si v Node.js nainstalujte <a href="https://www.npmjs.com/package/live-server" target="_blank">Live-server</a> příkazem <strong><code>npm live-server </code></strong> v adresáři projektu ho pustíte.</p>
<p>👉 Pro správnou funkčnost LSP si doinstalujte tyto balíčky:</p>
<p>Pokud vám terminál vypíše chybu při použití příkazu <strong><code>npm</code></strong>. Bude potřeba balíček instalovat jako <strong><code><a href="https://cs.wikipedia.org/wiki/Sudo" target="_blank">sudo</a></code></strong>.</p>
<p><a href="https://github.com/microsoft/vscode-html-languageservice" target="_blank">vscode-html-language-server</a></p>
<p><a href="https://github.com/microsoft/vscode-css-languageservice" target="_blank">vscode-css-language-server</a></p>
<p><a href="https://github.com/typescript-language-server/typescript-language-server" target="_blank">typescript-language-server</a></p>
<p><a href="https://github.com/aca/emmet-ls" target="_blank">emmet-ls</a></p>
<p><a href="https://github.com/tailwindlabs/tailwindcss-intellisense/blob/master/packages/tailwindcss-language-server/README.md">tailwindcss-language-server</a></p>
<p><a href="https://github.com/artempyanykh/marksman" target="_blank">marksman</a></p>
<p><a href="https://github.com/markdoc-extra/markdoc-ls" target="_blank">markdoc-ls</p>
<p><a href="https://eslint.org/docs/latest/use/getting-started" target="_blank">eslint</a></p>
<h2>Neovim:</h2>
<p>👉 Pro instalaci 🚀 ApolloNvim Distra stačí stáhnout si pouze soubor <strong><code>init.vim</code></strong> s tohoto <a href="https://git.arch-linux.cz/kankys/ApolloNvim" target="_blank">repositáře</a>.</p>
<p>👉 Některé plaginy potřebují na konfigurovat v jazyce Lua. Jak na to se dozvíš v readme <a href="https://git.arch-linux.cz/kankys/ApolloNvim/src/branch/main/readme" target="_blank">18. Konfigurace Lua</a>.</p>

	    </section>
</section>


<?php require "assets/returnbutton.php" ?>
<?php require "assets/footer.php" ?>
<script src="assets/script.js"></script>
</body>
</html>
